ENV(1)

NAAM
env - voer een programma in een gewijzigde omgeving uit

SAMENVATTING
env [OPTIE]... [-] [NAAM=WAARDE]... [COMMANDO [ARGUMENT]...]

BESCHRIJVING

Kent de gegeven WAARDE aan omgevingsvariabele NAAM toe en voert COMMANDO uit.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-a, --argv0=ARG
    geef ARG door als het nulde argument van COMMANDO

-i, --ignore-environment
    alle ongenoemde omgevingsvariabelen verwijderen

-0, --null
    elke regel afsluiten met NUL-byte, niet met nieuwe regel

-u, --unset=NAAM
    de genoemde variabele uit de omgeving verwijderen

-C, --chdir=MAP
    huidige map wijzigen naar MAP

-S, --split-string=S
    deze tekenreeks in aparte argumenten opsplitsen; nuttig voor de '#!'-regel in scripts

--block-signal[=SIG]
    signalen (of dit signaal) aan COMMANDO blokkeren

--default-signal[=SIG]
    afhandeling van signalen (of van dit signaal) terugzetten op de standaard

--ignore-signal[=SIG]
    stel afhandeling van SIG signa(a)l(en) in op negeren

--list-signal-handling
    de niet-standaard signaalafhandelingen tonen

-v, --debug
    gedetailleerde informatie weergeven voor elke stap

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

Een losse '-' betekent hetzelfde als -i. Zonder COMMANDO wordt de resulterende omgeving getoond.

SIGNAAL mag een signaalnaam zijn zoals 'PIPE', of een signaalnummer zoals '13'. Zonder SIGNAAL worden all bekende signalen genomen. Meerdere signalen kunnen gegeven worden gescheiden door komma's. Een leeg SIGNAAL argument komt overeen met 'geen bewerking'.

  De afsluitwaarde is:

125 als het env commando zelf faalt

126 als COMMANDO werd gevonden maar niet kan worden aangeroepen

127 Als COMMANDO niet werd gevonden

-   de beëindigings status van COMMANDO anders

SCRIPT OPTIES AFHANDELING
De -S optie staat toe om meerdere parameters te gebruiken in een script. Uitvoeren van een script met de naam 1.pl dat als eerste regel bevat:

    #!/usr/bin/env -S perl -w -T
    ...

zal uitvoeren perl -w -T 1.pl .

Zonder de '-S' parameter zal het script falen met:

    /usr/bin/env: 'perl -w -T': Bestand of map niet gevonden

Zie de volledige documentatie voor meer details.

OPMERKINGEN
POSIX's exec(3p) pagina schrijft:
    "veel bestaande toepassingen maken de aanname dat zij starten met bepaalde signalen die zijn ingesteld als standaard actie en/of niet geblokkeerd.... Daarom, is het beter signalen niet te blokkeren of te negeren voor uitvoeren zonder een expliciete reden om dat te doen, en speciaal signalen voor uitvoeren niet te blokkeren van willekeurige programma´s"

AUTEUR
Geschreven door Richard Mlynarik, David MacKenzie en Assaf Gordon.

RAPPORTEREN VAN BUGS
Rapporteer gebreken aan bug-coreutils@gnu.org
Webpagina van GNU coreutils: <https://www.gnu.org/software/coreutils/>
Algemene hulp bij gebruik van GNU-software: <https://www.gnu.org/gethelp/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

ZIE OOK
sigaction(2), sigprocmask(2), signal(7)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/env>
of lokaal via: info '(coreutils) env invocation'

Pakket gemaakt door Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden.
Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.